org.apache.myfaces.trinidad.change

## Class AddComponentDocumentChange

- java.lang.Object
- - org.apache.myfaces.trinidad.change.AddComponentDocumentChange

- All Implemented Interfaces:
    DocumentChange
  Direct Known Subclasses:
    AddChildDocumentChange, SetFacetChildDocumentChange

      public abstract class AddComponentDocumentChange
      extends Object
      implements DocumentChange

  Base class for specialized DocumentChanges that when applied will add a component instance to the component tree.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AddComponentDocumentChange(DocumentFragment fragment)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected DocumentFragment` | `getComponentFragment()` Returns the component that is to be added either as a child or a facet while applying this Change.
    `boolean` | `getForcesDocumentReload()` Returns true if adding the DocumentChange should force the JSP Document to reload
    `protected DocumentFragment` | `getImportedComponentFragment(Node targetNode)` Given the target Node, return the DocumentFragment, imported into the target Document

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.myfaces.trinidad.change.DocumentChange

      `changeDocument`

- - ### Constructor Detail

    - #### AddComponentDocumentChange

          protected AddComponentDocumentChange(DocumentFragment fragment)

  - ### Method Detail

    - #### getForcesDocumentReload

          public boolean getForcesDocumentReload()

      Returns true if adding the DocumentChange should force the JSP Document to reload
      Specified by:
        `getForcesDocumentReload` in interface `DocumentChange`

    - #### getComponentFragment

          protected final DocumentFragment getComponentFragment()

      Returns the component that is to be added either as a child or a facet while applying this Change. Returns null if the component cannot be successfully re-constructed.

    - #### getImportedComponentFragment

          protected final DocumentFragment getImportedComponentFragment(Node targetNode)

      Given the target Node, return the DocumentFragment, imported into the target Document
      Parameters:
        `targetNode` -

Copyright © 2001-2016 The Apache Software Foundation. All Rights Reserved.